Skip to main content

Send Sms

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.send_sms

Send an SMS message to a contact in GoHighLevel

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-send-sms-example",
"method": "tools/call",
"params": {
"name": "ghl.send_sms",
"arguments": {
"contactId": "contactId_123",
"message": "message_example",
"tenantId": "tenantId_123",
"fromNumber": "fromNumber_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"contactId": {
"type": "string"
},
"message": {
"type": "string",
"maxLength": 1600
},
"fromNumber": {
"type": "string"
}
},
"required": [
"contactId",
"message"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-send-sms-example",
"method": "tools/call",
"params": {
"name": "ghl.send_sms",
"arguments": {
"contactId": "contactId_123",
"message": "message_example",
"tenantId": "tenantId_123",
"fromNumber": "fromNumber_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.send_sms executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}